@echo off
rem If this file is called directly from a batch file, than it works without any further parameter.
rem However, if it is called through an AVEVA init file (i.e. by the default startmenu shortcut), it requires
rem one parameter, which should be the path of the batchfile (i.e. c:\project\).
set proj_addin_dir=%1
if "%proj_addin_dir%"=="" set proj_addin_dir=%~dp0
set PMLLIB=%PMLLIB%;%proj_addin_dir%pmllib
set PMLUI=%PMLUI%;%proj_addin_dir%pmlui
if "%CAF_UIC_PATH%"=="" set CAF_UIC_PATH=%AVEVA_DESIGN_INSTALLED_DIR%
set CAF_UIC_PATH=%CAF_UIC_PATH%;%proj_addin_dir%uic
